# Mcp Service

A governed MCP server registration in Unity Catalog. Acts as a container
 securable that references an MCP server -- customer-external via a UC
 Connection, or <Databricks>-hosted via an internal server -- and
 exposes its tools for discovery, authorization, and invocation.

## The McpService object

- [mcp-service/object.md](mcp-service/object.md)

## Endpoints

### Get

- [GET /api/2.1/unity-catalog/{name=mcp-services/*}](get-mcp-service.md)

### List

- [GET /api/2.1/unity-catalog/mcp-services](list-mcp-services.md)

### Create

- [POST /api/2.1/unity-catalog/mcp-services](create-mcp-service.md)

### Update

- [PATCH /api/2.1/unity-catalog/{mcp_service.name=mcp-services/*}](update-mcp-service.md)

### Delete

- [DELETE /api/2.1/unity-catalog/{name=mcp-services/*}](delete-mcp-service.md)

